cURL
curl --request GET \
--url https://apidev.nusd.me/nps/tokensimport requests
url = "https://apidev.nusd.me/nps/tokens"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://apidev.nusd.me/nps/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://apidev.nusd.me/nps/tokens"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://apidev.nusd.me/nps/tokens")
.asString();{
"status": 0,
"data": {
"total": 123,
"tokens": [
{
"chain_id": "ARBITRUM_ETH",
"token_id": "ARBITRUM_USDT",
"symbol": "USDT",
"contract_address": "0xFd086bC7CD5C481DCC9C85ebE478A1C0b69FCbb9",
"decimal": 6,
"dust_threshold": "0.01",
"can_deposit": true,
"can_withdraw": true
}
]
},
"msg": "<string>"
}{
"status": 0,
"data": {
"total": 123,
"tokens": [
{
"chain_id": "ARBITRUM_ETH",
"token_id": "ARBITRUM_USDT",
"symbol": "USDT",
"contract_address": "0xFd086bC7CD5C481DCC9C85ebE478A1C0b69FCbb9",
"decimal": 6,
"dust_threshold": "0.01",
"can_deposit": true,
"can_withdraw": true
}
]
},
"msg": "<string>"
}Basics
Supported Tokens
All supported tokens.
GET
/
nps
/
tokens
cURL
curl --request GET \
--url https://apidev.nusd.me/nps/tokensimport requests
url = "https://apidev.nusd.me/nps/tokens"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://apidev.nusd.me/nps/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://apidev.nusd.me/nps/tokens"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://apidev.nusd.me/nps/tokens")
.asString();{
"status": 0,
"data": {
"total": 123,
"tokens": [
{
"chain_id": "ARBITRUM_ETH",
"token_id": "ARBITRUM_USDT",
"symbol": "USDT",
"contract_address": "0xFd086bC7CD5C481DCC9C85ebE478A1C0b69FCbb9",
"decimal": 6,
"dust_threshold": "0.01",
"can_deposit": true,
"can_withdraw": true
}
]
},
"msg": "<string>"
}{
"status": 0,
"data": {
"total": 123,
"tokens": [
{
"chain_id": "ARBITRUM_ETH",
"token_id": "ARBITRUM_USDT",
"symbol": "USDT",
"contract_address": "0xFd086bC7CD5C481DCC9C85ebE478A1C0b69FCbb9",
"decimal": 6,
"dust_threshold": "0.01",
"can_deposit": true,
"can_withdraw": true
}
]
},
"msg": "<string>"
}Query Parameters
Chain ID (optional).
Example:
"ARBITRUM_ETH"
Token unique identifier (optional).
Example:
"ARBITRUM_USDT"
Page number.
Items per page. Default: 20. Max: 100.
⌘I